| Online Eiffel Documentation

EiffelStudio

# Reference for `attribute_exists'

## SYNOPSYS

    #include "eif_cecil.h"

    EIF_BOOLEAN attribute_exists (EIF_REFERENCE object, char * name);

## DESCRIPTION

The attribute_exists() macro returns EIF_TRUE or EIF_FALSE when the attribute of name name exists in the Eiffel object (reference) ref.

## RETURN VALUE

EIF_TRUE or EIF_FALSE.

## CONFORMANCE

ISE Eiffel 4.5 and later.

## SEE ALSO

eif_attribute (1).